Install Tracking

Install attribution tracking is a great way to improve your initial relationship with your user. Knowing how, where, and even more importantly, why a user installs your app allows you to get a better understanding of who your user is and how you should introduce them to your app.

You can use our APIs to seamlessly provide MoEngage with install data. These APIs allow you to track the install attribution data in MoEngage, which you can then use to enhance your marketing automation campaigns on MoEngage.  

API Endpoint 

Method: GET

API Endpoint
https://api-0X.moengage.com/v1/installInfo

MoEngage hosts each customer in a different data center; you can find your data center number (value of X) by checking the data center and API endpoint mapping here. Replace the value of 'X' in the URL based on your DataCenter.

Authentication

No authentication required.

Request Parameters

Key Required Data Type Description

publisher_name

Optional

String

Publisher name of the install

campaign_name

Optional

String

Campaign name of the install

src

Yes

String

partner name 

appId

Yes

String

This is your MoEngage account's Workspace ID that must be included in the request. You can find your Workspace ID in the following navigation on the dashboard:

Revamped UI: Settings > Account > APIs > Workspace ID

 

advertising_id (for Android only)

Yes

String

Google Advertising ID of the device on which the install was detected

idfv (for iOS only)

Yes

String

IDFV of the iOS device on which the install was detected

appAttributionKey

Yes

String

Available on the MoEngage dashboard by navigating to Settings > Analytics > Acquisition Tracking >Attribution Key

Request Header

Not required

Request Body

Not required

Response Codes

Status Code Request State Description

200

Success

This response is returned when the request is processed successfully. 

400

Bad Request

This response is returned when the required parameters are missing from the request, attributes are not found, and incorrect values are passed.

401

Unauthorized

This response is returned when the request does not have valid authentication credentials.

403

Account Blocked

This response is returned when your MoEngage account is suspended or blocked.

413

Payload Size Exceeded

This response is returned when the payload size exceeds 128 KB.

415

Unsupported Media Type

This response is returned when the content type is not supported.

429

Rate Limit Breach

This response is returned when the number of requests has exceeded the rate limit.

500

Internal Server Error

This response is returned when the system runs into an unexpected error.

Sample Response

200 400 401
  {
    "status": "success",
    "message": "Your request has been accepted and will be processed soon." 
}

 

Sample cURL

Android

Sample URL
curl -L -g -X GET 'https://api-0X.moengage.com/v1/installInfo?src=<partner_name>&appAttributionKey=<ENTER_ATTRIBUTION_KEY_HERE>&appId=<ENTER_Workspace_ID_HERE>&campaign_name=<campaign_name_of_install>&publisher_name=<publisher_name_of_install>&advertising_id=<device_GAID>'

iOS

Sample URL
curl -L -g -X GET 'https://api-0X.moengage.com/v1/installInfo?src=<partner_name>&appAttributionKey=<ENTER_ATTRIBUTION_KEY_HERE>&appId=<ENTER_Workspace_ID_HERE>&campaign_name=<campaign_name_of_install>&publisher_name=<publisher_name_of_install>&idfv=<device_idfv>'

Postman Collections

We have made it easy for you to test the APIs. Click here to view it in Postman.

 

Previous

Next

Was this article helpful?
1 out of 1 found this helpful

How can we improve this article?